# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define __libtoolize /bin/true
%define name    edukator
%define version 0.6.1
%define release 1.2006mcnl
%define summary educative software
%define section More applications/Education/Sciences

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrakeclub.nl
URL:            http://kde-apps.org/content/show.php?content=17602
License:        GPL
Group:          Education
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        edukator_multi_lingual-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libxfree86-devel libqt3-devel
Obsoletes: edukator_nl edukator_en

%description

EduKator is an educational program made for KDE. I made this software as a part of my thesis.
I'm in last year of high school.
I want to help people gain knowledge about physical and mathematical statements in a way that it is fun to do. The theory is explained and it is possible to make exercises.
My aim is to make a nice program that can be used in schools and at home.

The program consists out of 4 projects: ARCHIMEDES, OPTICS, DUBBLARATES, EXTREME PROBLEMS

%prep

%setup -q -n edukator_multi_lingual-%{version}

%build
%configure 

%make 

%install

%makeinstall 

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/edukator" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF

#icons

%define  nameicon src/hi32-app-edukator.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps/
convert -scale 128x128 %{nameicon} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps/
convert -scale 64x64 %{nameicon} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
convert -scale 48x48 %{nameicon} %{buildroot}%{_iconsdir}/hicolor/48x48/apps//%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps/
convert -scale 32x32 %{nameicon} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%name.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
convert -scale 16x16 %{nameicon} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%name.png

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%doc README NEWS COPYING AUTHORS 
%{_bindir}/*
%{_menudir}/%name
%{_datadir}/*

%changelog 

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.6.1-1.2006mcnl
- Mandriva 2006 rebuild

* Sun May 08 2005 Marco Meijer, <marco@mandrivaclub.nl> 0.6.1-1.101mcnl
new version 

* Sat Jan 28 2005 Marco Meijer, <marco@mandrivaclub.nl> 0.4.3-1.101mcnl
First Mandrakelinux 10.1 versie



